{
	WGPCMDAT - Un programma per trasmettere via packet i tempi dei rally
	Copyright (C) 2008 Sezione ARI Casale Monferrato & I1EPJ

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
}
unit Uconfprg;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, Mask, ExtCtrls;

type
  TConfPrg = class(TForm)
    cTempi: TRadioGroup;
    Label1: TLabel;
    cNome: TEdit;
    Label2: TLabel;
    cFGNUM: TMaskEdit;
    Label3: TLabel;
    cPSNUM: TMaskEdit;
    BOK: TBitBtn;
    BAnnulla: TBitBtn;
    Label4: TLabel;
    cDIRCALL: TMaskEdit;
    Label5: TLabel;
    cMYCALL: TMaskEdit;
    cDigi1: TMaskEdit;
    cDigi2: TMaskEdit;
    Label6: TLabel;
    Label7: TLabel;
    LogFile: TRadioGroup;
    procedure FormCreate(Sender: TObject);
    procedure BAnnullaClick(Sender: TObject);
    procedure BOKClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  ConfPrg: TConfPrg;
  W,H: integer;

implementation

uses Wgpcmu1;

{$R *.DFM}


procedure TConfPrg.FormCreate(Sender: TObject);
begin
	cNome.Text := Config.NomeRally;
        cPSNUM.Text := IntToStr(Config.PSNum);
        cFGNUM.Text := IntToStr(Config.FGNum);
        cMYCALL.Text := Config.CallStazione;
        cDIRCALL.Text := Config.CallDirGara;
        cDigi1.Text := Config.Digi1;
        cDigi2.Text := Config.Digi2;
        cTempi.ItemIndex := Config.SecDecCent;
        if Config.LogTofile then
        	LogFile.ItemIndex := 0
        else
        	LogFile.ItemIndex := 1;
end;

procedure TConfPrg.BAnnullaClick(Sender: TObject);
begin
	Hide;
end;

procedure TConfPrg.BOKClick(Sender: TObject);

var
	fn: string;
begin
	Config.NomeRally := cNome.Text ;
        Config.PSNum := StrToInt(cPSNUM.Text);
        Config.FGNum := StrToInt(cFGNUM.Text);
        Config.CallStazione := cMYCALL.Text;
        Config.CallDirGara := cDIRCALL.Text;
        Config.Digi1 := cDigi1.Text;
        Config.Digi2 := cDigi2.Text;
        Config.SecDecCent := cTempi.ItemIndex;
        Config.LogToFile := LogFile.ItemIndex=0;
        MainForm.SalvaConfig;

	MainForm.MakeCaption;
        MainForm.NPS.Text := IntToStr(Config.PSNum);
        MainForm.NFG.Text := IntToStr(Config.FGnum);

	case Config.SecDecCent of
        	SECONDI: begin
        		MainForm.TD1.Enabled := FALSE;
                	MainForm.TD1.Color := clGray;
        		MainForm.TD2.Enabled := FALSE;
                	MainForm.TD2.Color := clGray;
        		MainForm.TD3.Enabled := FALSE;
                	MainForm.TD3.Color := clGray;
        		MainForm.TD4.Enabled := FALSE;
                	MainForm.TD4.Color := clGray;
        		MainForm.TD5.Enabled := FALSE;
                	MainForm.TD5.Color := clGray;
                end;
                DECIMI: begin
        		MainForm.TD1.Enabled := TRUE;
                	MainForm.TD1.Color := clYellow;
                        MainForm.TD1.EditMask := '9;0; ';
        		MainForm.TD2.Enabled := TRUE;
                	MainForm.TD2.Color := clYellow;
                        MainForm.TD2.EditMask := '9;0; ';
        		MainForm.TD3.Enabled := TRUE;
                	MainForm.TD3.Color := clYellow;
                        MainForm.TD3.EditMask := '9;0; ';
        		MainForm.TD4.Enabled := TRUE;
                	MainForm.TD4.Color := clYellow;
                        MainForm.TD4.EditMask := '9;0; ';
        		MainForm.TD5.Enabled := TRUE;
                	MainForm.TD5.Color := clYellow;
                        MainForm.TD5.EditMask := '9;0; ';
                 end;
                 CENTESIMI: begin
        		MainForm.TD1.Enabled := TRUE;
                	MainForm.TD1.Color := clYellow;
                        MainForm.TD1.EditMask := '99;0; ';
        		MainForm.TD2.Enabled := TRUE;
                	MainForm.TD2.Color := clYellow;
                        MainForm.TD2.EditMask := '99;0; ';
        		MainForm.TD3.Enabled := TRUE;
                	MainForm.TD3.Color := clYellow;
                        MainForm.TD3.EditMask := '99;0; ';
        		MainForm.TD4.Enabled := TRUE;
                	MainForm.TD4.Color := clYellow;
                        MainForm.TD4.EditMask := '99;0; ';
        		MainForm.TD5.Enabled := TRUE;
                	MainForm.TD5.Color := clYellow;
                        MainForm.TD5.EditMask := '99;0; ';
                 end;
	end;
        if Config.LogToFile then begin
	       	MainForm.MostraLog1.Enabled := TRUE;
       		FmtStr(fn,'%s\RL%s.log',[Config.MsgDir,FormatDateTime('ddmmyy',Date)]);
		AssignFile(LogF,fn);
        	LogFileName := fn;
	        try
        	       	append(LogF);
	        except
        	       	rewrite(LogF);
	        end;
		WriteLn(LogF,'**** '+VERSIONE+' lanciato il '+FormatDateTime('dd/mm/yyyy" alle "hh:mm:ss',Now));
                Flush(LogF);
        end else begin
               	try
			WriteLn(LogF,'**** '+VERSIONE+' terminato il '+FormatDateTime('dd/mm/yyyy" alle "hh:mm:ss',Now));
               		CloseFile(LogF);
                except end;
                MainForm.MostraLog1.Enabled := FALSE;
        end;

	Hide;
end;

end.
